LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XInteractionSupplyAuthentication Interface Referencepublished

An interaction continuation handing back some authentication data. More...

`import"XInteractionSupplyAuthentication.idl";`

Inheritance diagram for XInteractionSupplyAuthentication:

## Public Member Functions
boolean | canSetRealm ()
| Specifies if a new "realm" value can be handed back. More...
void | setRealm ([in] string Realm)
| Set a new "realm" value to hand back. More...
boolean | canSetUserName ()
| Specifies if a "user name" value can be handed back. More...
void | setUserName ([in] string UserName)
| Set a new "user name" value to hand back. More...
boolean | canSetPassword ()
| Specifies if a "password" value can be handed back. More...
void | setPassword ([in] string Password)
| Set a new "password" value to hand back. More...
sequence< com::sun::star::ucb::RememberAuthentication > | getRememberPasswordModes ([out] com::sun::star::ucb::RememberAuthentication Default)
| Specifies the available modes of how long to remember the password. More...
void | setRememberPassword ([in] com::sun::star::ucb::RememberAuthentication Remember)
| Set a new mode of how long to remember the password. More...
boolean | canSetAccount ()
| Specifies if an "account" value can be handed back. More...
void | setAccount ([in] string Account)
| Set a new "account" value to hand back. More...
sequence< com::sun::star::ucb::RememberAuthentication > | getRememberAccountModes ([out] com::sun::star::ucb::RememberAuthentication Default)
| Specifies the available modes of how long to remember the account. More...
void | setRememberAccount ([in] com::sun::star::ucb::RememberAuthentication Remember)
| Set a new mode of how long to remember the account. More...
Public Member Functions inherited from XInteractionContinuation
void | select ()
| Select this way of continuing from an com::sun::star::task::XInteractionRequest (given a choice of various instances of com::sun::star::task::XInteractionContinuation). More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

An interaction continuation handing back some authentication data.

This continuation is typically used in conjunction with AuthenticationRequest.

## Member Function Documentation

## ◆ canSetAccount()

boolean canSetAccount | ( |  | ) |

Specifies if an "account" value can be handed back.

## ◆ canSetPassword()

boolean canSetPassword | ( |  | ) |

Specifies if a "password" value can be handed back.

## ◆ canSetRealm()

boolean canSetRealm | ( |  | ) |

Specifies if a new "realm" value can be handed back.

## ◆ canSetUserName()

boolean canSetUserName | ( |  | ) |

Specifies if a "user name" value can be handed back.

## ◆ getRememberAccountModes()

sequence< com::sun::star::ucb::RememberAuthentication > getRememberAccountModes | ( | [out] com::sun::star::ucb::RememberAuthentication | Default | ) |

Specifies the available modes of how long to remember the account.

Parameters

  Default | Returns the default mode (to be initially displayed to the user).

Returns
  A sequence of available modes to hand back. Each individual mode should appear at most once in the sequence. If the sequence is empty, a new mode cannot be handed back.

## ◆ getRememberPasswordModes()

sequence< com::sun::star::ucb::RememberAuthentication > getRememberPasswordModes | ( | [out] com::sun::star::ucb::RememberAuthentication | Default | ) |

Specifies the available modes of how long to remember the password.

Parameters

  Default | Returns the default mode (to be initially displayed to the user).

Returns
  A sequence of available modes to hand back. Each individual mode should appear at most once in the sequence. If the sequence is empty, a new mode cannot be handed back.

## ◆ setAccount()

void setAccount | ( | [in] string | Account | ) |

Set a new "account" value to hand back.

This method should be called before com::sun::star::task::XInteractionContinuation::select(), and should only be called if XInteractionSupplyAuthentication::canSetAccount() returned `TRUE`.

## ◆ setPassword()

void setPassword | ( | [in] string | Password | ) |

Set a new "password" value to hand back.

This method should be called before com::sun::star::task::XInteractionContinuation::select(), and should only be called if XInteractionSupplyAuthentication::canSetPassword() returned `TRUE`.

## ◆ setRealm()

void setRealm | ( | [in] string | Realm | ) |

Set a new "realm" value to hand back.

This method should be called before com::sun::star::task::XInteractionContinuation::select(), and should only be called if XInteractionSupplyAuthentication::canSetRealm() returned `TRUE`.

## ◆ setRememberAccount()

void setRememberAccount | ( | [in] com::sun::star::ucb::RememberAuthentication | Remember | ) |

Set a new mode of how long to remember the account.

This method should be called before com::sun::star::task::XInteractionContinuation::select(), and should only be called if XInteractionSupplyAuthentication::setAccount() is also called.

Parameters

  Remember | The mode to hand back, should be contained in the sequence returned by XInteractionSupplyAuthentication::getRememberAccountModes().

## ◆ setRememberPassword()

void setRememberPassword | ( | [in] com::sun::star::ucb::RememberAuthentication | Remember | ) |

Set a new mode of how long to remember the password.

This method should be called before com::sun::star::task::XInteractionContinuation::select(), and should only be called if XInteractionSupplyAuthentication::setPassword() is also called.

Parameters

  Remember | The mode to hand back, should be contained in the sequence returned by XInteractionSupplyAuthentication::getRememberPasswordModes().

## ◆ setUserName()

void setUserName | ( | [in] string | UserName | ) |

Set a new "user name" value to hand back.

This method should be called before com::sun::star::task::XInteractionContinuation::select(), and should only be called if XInteractionSupplyAuthentication::canSetUserName() returned `TRUE`.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XInteractionSupplyAuthentication.idl